Package wx :: Package lib :: Module pydocview

[frames | no frames]

## Module wx.lib.pydocview

Classes
`AboutDialog` | Opens an AboutDialog.
`AboutService` | About Dialog Service that installs under the Help menu to show the properties of the current application.
`ChildDocTemplate` | A ChildDocTemplate is a DocTemplate subclass that enables the creation of ChildDocuments that represents a portion of a Document.
`ChildDocument` | A ChildDocument is a document that represents a portion of a Document.
`DocApp` | The DocApp class serves as the base class for pydocview applications and offers functionality such as services, creation of SDI and MDI frames, show tips, and a splash screen.
`DocFrameMixIn` | Class with common code used by DocMDIParentFrame, DocTabbedParentFrame, and DocSDIFrame.
`DocMDIChildFrame` | The wxDocMDIChildFrame class provides a default frame for displaying documents on separate windows.
`DocMDIParentFrame` | The DocMDIParentFrame is the primary frame which the DocApp uses to host MDI child windows.
`DocMDIParentFrameMixIn` | Class with common code used by DocMDIParentFrame and DocTabbedParentFrame.
`DocOptionsService` | A service that implements an options menu item and an options dialog with notebook tabs.
`DocSDIFrame` | The DocSDIFrame host DocManager Document windows.
`DocService` | An abstract class used to add reusable services to a docview application.
`DocTabbedChildFrame` | The wxDocMDIChildFrame class provides a default frame for displaying documents on separate windows.
`DocTabbedParentFrame` | The DocTabbedParentFrame class provides a default top-level frame for applications using the document/view framework.
`FilePropertiesDialog` | Dialog that shows the properties of a file.
`FilePropertiesService` | Service that installs under the File menu to show the properties of the file associated with the current document.
`GeneralOptionsPanel` | A general options panel that is used in the OptionDialog to configure the generic properties of a pydocview application, such as "show tips at startup" and whether to use SDI or MDI for the application.
`OptionsDialog` | A default options dialog used by the OptionsService that hosts a notebook tab of options panels.
`WindowMenuService` | The WindowMenuService is a service that implements a standard Window menu that is used by the DocSDIFrame.

Function Summary
| `getBlankBitmap()`
| `getBlankData()`
| `getBlankIcon()`
| `getBlankImage()`
| `getCopyBitmap()`
| `getCopyData()`
| `getCopyImage()`
| `getCutBitmap()`
| `getCutData()`
| `getCutImage()`
| `getNewBitmap()`
| `getNewData()`
| `getNewImage()`
| `getOpenBitmap()`
| `getOpenData()`
| `getOpenImage()`
| `getPasteBitmap()`
| `getPasteData()`
| `getPasteImage()`
| `getPrintBitmap()`
| `getPrintData()`
| `getPrintImage()`
| `getPrintPreviewBitmap()`
| `getPrintPreviewData()`
| `getPrintPreviewImage()`
| `getRedoBitmap()`
| `getRedoData()`
| `getRedoImage()`
| `getSaveAllBitmap()`
| `getSaveAllData()`
| `getSaveAllImage()`
| `getSaveBitmap()`
| `getSaveData()`
| `getSaveImage()`
| `getUndoBitmap()`
| `getUndoData()`
| `getUndoImage()`

Variable Summary
`int` | `EMBEDDED_WINDOW_ALL` = 255
`int` | `EMBEDDED_WINDOW_BOTTOM` = 2
`int` | `EMBEDDED_WINDOW_BOTTOMLEFT` = 32
`int` | `EMBEDDED_WINDOW_BOTTOMRIGHT` = 128
`int` | `EMBEDDED_WINDOW_LEFT` = 4
`int` | `EMBEDDED_WINDOW_RIGHT` = 8
`int` | `EMBEDDED_WINDOW_TOP` = 1
`int` | `EMBEDDED_WINDOW_TOPLEFT` = 16
`int` | `EMBEDDED_WINDOW_TOPRIGHT` = 64
`int` | `SAVEALL_ID` = 144
`int` | `VIEW_STATUSBAR_ID` = 143
`int` | `VIEW_TOOLBAR_ID` = 142
`int` | `WINDOW_MENU_NUM_ITEMS` = 9

Variable Details

### EMBEDDED_WINDOW_ALL

  Type:
    `int`
  Value:

        255

### EMBEDDED_WINDOW_BOTTOM

  Type:
    `int`
  Value:

        2

### EMBEDDED_WINDOW_BOTTOMLEFT

  Type:
    `int`
  Value:

        32

### EMBEDDED_WINDOW_BOTTOMRIGHT

  Type:
    `int`
  Value:

        128

### EMBEDDED_WINDOW_LEFT

  Type:
    `int`
  Value:

        4

### EMBEDDED_WINDOW_RIGHT

  Type:
    `int`
  Value:

        8

### EMBEDDED_WINDOW_TOP

  Type:
    `int`
  Value:

        1

### EMBEDDED_WINDOW_TOPLEFT

  Type:
    `int`
  Value:

        16

### EMBEDDED_WINDOW_TOPRIGHT

  Type:
    `int`
  Value:

        64

### SAVEALL_ID

  Type:
    `int`
  Value:

        144

### VIEW_STATUSBAR_ID

  Type:
    `int`
  Value:

        143

### VIEW_TOOLBAR_ID

  Type:
    `int`
  Value:

        142

### WINDOW_MENU_NUM_ITEMS

  Type:
    `int`
  Value:

        9

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:39 2007 | http://epydoc.sf.net